import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const getHourLimitKillRequestKillhouseService = createAsyncThunk(
  "GET_HOUR_LIMIT_KILL_REQUEST_KILLHOUSE_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("kill_house_hour_limit/");
    dispatch(LOADING_END());
    return { data, status };
  }
);
